Skip to main content
`Ctrl`+`K`

# VecTaggerSetBlockSize

set the block size of the set of indices returned by `VecTaggerComputeIS()`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecTaggerSetBlockSize(VecTagger tagger, PetscInt blocksize)

Logically Collective

## Input Parameters

- tagger - vec tagger

- blocksize - block size of the criteria used to tagger vectors

## Notes

Values greater than one are useful when there are multiple criteria for determining which indices to include in the set. For example, consider adaptive mesh refinement in a multiphysics problem, with metrics of solution quality for multiple fields measure on each cell. The size of the vector will be `[numCells` * numFields]`; the` VecTagger`block size should be`numFields`;` VecTaggerComputeIS()`will return indices in the range`[0, numCells)`, i.e., one index is given for each block of values.

Note that the block size of the vector does not have to match this block size.

## See Also

`VecTaggerComputeIS()`, `VecTaggerGetBlockSize()`, `VecSetBlockSize()`, `VecGetBlockSize()`, `VecTagger`, `VecTaggerCreate()`

## Level

advanced

## Location

src/vec/vec/utils/tagger/interface/tagger.c

## Examples

src/vec/vec/utils/tagger/tutorials/ex1.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages